#!/bin/bash
cd debian
echo '#!/bin/sh'|tee preinst|tee postinst > postrm
echo 'if [ "$1" = install ] || [ "$1" = upgrade ]; then' >> preinst
echo 'if [ "$1" = configure ]; then' >> postinst
echo 'if [ "$1" = remove ]; then' >> postrm
for f in `cd borg-startup; find usr|egrep '(png|jpg)$'`; do
  echo dpkg-divert --package borg-startup --add --rename /$f >> preinst
  echo dpkg-divert --package borg-startup --remove --rename /$f >> postrm
done
echo 'echo -n "gtk-update-icon-cache: "' |tee -a postinst >>postrm
echo gtk-update-icon-cache -f /usr/share/icons/hicolor |tee -a postinst >>postrm
cat <<E1 >> postinst
echo -n "Check for old repository... "
cat <<E2 | hildon-application-manager-config -v delete -
<config>
<catalogue>
<name>Synthesize.us</name>
<uri>http://synthesize.us/debs/</uri>
<dist>./</dist>
</catalogue>
</config>
E2
E1
echo 'fi' |tee -a preinst|tee -a postinst >> postrm
echo "Generated control scripts:"
wc -l preinst postinst postrm
